Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  versetzen von splines

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   versetzen von splines (155 mal gelesen)
Seeland
Mitglied
CAD Support


Sehen Sie sich das Profil von Seeland an!   Senden Sie eine Private Message an Seeland  Schreiben Sie einen Gästebucheintrag für Seeland

Beiträge: 193
Registriert: 18.01.2002

Autocad Map 2007, Landcad 2007

erstellt am: 25. Mrz. 2002 13:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo habe in einem aussenanlagenplan wege darzustellen, um sie möglichst geschwungen zu zeichnen, hab ich den befehl spline verwendet,
funktinoniert auch gut, nur beim versetzen funktioniert er manchmal gar nicht oder autocad hängt sich auf.
wer weiss rat?

micha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

scj
Mitglied
 


Sehen Sie sich das Profil von scj an!   Senden Sie eine Private Message an scj  Schreiben Sie einen Gästebucheintrag für scj

Beiträge: 549
Registriert: 09.08.2001

erstellt am: 25. Mrz. 2002 13:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Seeland 10 Unities + Antwort hilfreich

Versuche, die (2d-)Splines vor dem Versetzen in normale Polylinien umzuwandeln.
Das geht z.B. mit meinem nachfolgenden SPL2POL.LSP


;----------------SPL2POL.LSP---------------------------------
;-------Change of an SPLINE to a POLYLINE--------------------
;Given is an SPLINE. It will be changed into an approximated POLYLINE.
;--spli          : spline
;--aufl        : number of vertices for the approximation
;--pt          : vertex
;-------------------------------------------------------------
;-------------------------------------------------------------
;(defun C:spl2pol (/ spli aufl elem p0 pkt ll)
(defun C:spl2pol ()
;-------------------------------------------------------------
(setq pktliste nil)
(print "Please select a spline :")
(setq spli (ssget))
(setq aufl (getint "\nnumber of vertices:<300> : "))
(if (= nil aufl) (setq aufl 300))
(setq elem (entget (ssname spli 0)))
(setq p0 (cdr (assoc 10 (entget (ssname spli 0)))))

(if (= (cdr (assoc 0 elem)) "SPLINE")
(progn
(command "_divide" spli aufl)
(setq pktsatz (ssget "_p"))
(setq ll (sslength pktsatz))
;(PRINT ll)
(command "_3dpoly")
(command p0)
(setq i -1)
(setq ll (- ll 1))
(while (< i ll)
(progn
(setq i (+ 1 i))
(setq pkt (cdr (assoc 10 (entget (ssname pktsatz i)))))
(command pkt)
)
)
(command "")

)
(princ (strcat (cdr (assoc 0 elem)) " is no SPLINE----->EXIT"))
)
(command "_ERASE" pktsatz nil)
(princ)
)

Viel Erfolg
Jochen
www.black-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Seeland
Mitglied
CAD Support


Sehen Sie sich das Profil von Seeland an!   Senden Sie eine Private Message an Seeland  Schreiben Sie einen Gästebucheintrag für Seeland

Beiträge: 193
Registriert: 18.01.2002

Autocad Map 2007, Landcad 2007

erstellt am: 25. Mrz. 2002 13:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo jochen,
danke für deinen tipp,
jetzt muss ich nur noch das lsp ins autocad einladen!?
wie genau mach ich das?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Seeland
Mitglied
CAD Support


Sehen Sie sich das Profil von Seeland an!   Senden Sie eine Private Message an Seeland  Schreiben Sie einen Gästebucheintrag für Seeland

Beiträge: 193
Registriert: 18.01.2002

Autocad Map 2007, Landcad 2007

erstellt am: 25. Mrz. 2002 15:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hab's hingekriegt.
vielen dank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz